<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo List</title>
    <script src="https://unpkg.com/vue@next"></script>
</head>
<body>
    <div id="app">
        <h1>ToDo App</h1>
        <form v-on:submit.prevent="addTodo()">
            <label>New ToDo</label>
            <input type="text" v-model="content">
            <button>Add ToDo</button>
        </form>
        <h2>ToDo List ({{ todos.length }})</h2>
        <ul>
            <li v-for="(todo, index) in todos"> 
                <!-- <span v-if="todo.done" style="text-decoration: line-through" @click="crossTodo(todo)"> {{ todo.content }} </span> 
                <span v-else @click="crossTodo(todo)">{{ todo.content }}</span> -->
                <span v-bind:class="{ done: todo.done, notDone: !todo.done }" @click="crossTodo(todo)">{{ todo.content }}</span>
                <button @click="removeTodo(index)">X</button>
            </li>    
        </ul>
    </div>
    <script>
        const App = {
            data() {
                return{
                    todos: [
                        {content: "Having Breakfast", done: false},
                        {content: "Reading book", done: true},
                    ],
                    content: '',
                }
            },
            methods: {
                addTodo(){
                    // console.log(this.content);
                    this.todos.push({content: this.content, done: false})
                    this.content = ""
                },
                removeTodo(index) {
                    // console.log(index)
                    this.todos.splice(index, 1)
                },
                crossTodo(todo) {
                    todo.done = !todo.done
                }
            }
        }
        const vue = Vue.createApp(App)
        vue.mount("#app")
    </script>
    <style>
        .done {
            text-decoration: line-through;
            color: gray;
        }
        .notDone {
            color: blue;
        }
    </style>
</body>
</html>